Skip site navigation (1) Skip section navigation (2)

Re: pg_hba.conf conf editor methods

From: Dave Page <dpage(at)pgadmin(dot)org>
To: Magnus Hagander <magnus(at)hagander(dot)net>
Cc: pgadmin-hackers <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: pg_hba.conf conf editor methods
Date: 2009-03-31 13:44:40
Message-ID: 937d27e10903310644l683609cfo5d465a5f61846d09@mail.gmail.com (view raw or flat)
Thread:
Lists: pgadmin-hackers
On Tue, Mar 31, 2009 at 2:20 PM, Magnus Hagander <magnus(at)hagander(dot)net> wrote:
> Dave Page wrote:
>> The pg_hba.conf editor seems to be missing support for ldap, gss and
>> sspi authentication methods. The attached patch adds the missing
>> support. As it's so close to release, I'd appreciate some careful
>> reviewing!!
>>
>> Note that I consider this a bug fix because when used to open a file
>> with ldap lines, I found they were not even shown to me, therefore
>> giving incorrect information about the auth methods that were enabled.
>
> In 8.4, krb5 and PAM also takes an argument.
>
> As does cert authentication - if we're adding 8.4 features and we're
> adding auth methods, we should add that one as well.
>
> Also, *all* "hostssl" rows now take the argument "clientcert".

*grumble*

See attached patch. I applied the original already.


-- 
Dave Page
EnterpriseDB UK:   http://www.enterprisedb.com

Attachment: hba2.diff
Description: application/octet-stream (2.2 KB)

In response to

pgadmin-hackers by date

Next:From: svnDate: 2009-03-31 15:53:03
Subject: SVN Commit by guillaume: r7782 - trunk/pgadmin3/docs/en_US
Previous:From: Magnus HaganderDate: 2009-03-31 13:20:18
Subject: Re: pg_hba.conf conf editor methods

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group